com.unitech.lib.uhf.types

## Enum Gen2xCrypto

- java.lang.Object
- - java.lang.Enum<Gen2xCrypto>
  - - com.unitech.lib.uhf.types.Gen2xCrypto

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<Gen2xCrypto>

      public enum Gen2xCrypto
      extends Enum<Gen2xCrypto>
      implements IEnumType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AllTags`
    `OneTagsOnly`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Gen2xCrypto` | `fromValue(int code)` Returns the enum constant of this type with the specified code.
    `int` | `getCode()` Get the enum code value
    `static String[]` | `names()` Returns an array containing the name of this enum type.
    `String` | `toString()` Return the name of the enum
    `static Gen2xCrypto` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Gen2xCrypto` | `valueOfName(String name)` Returns the enum constant of this type with the specified name.
    `static Gen2xCrypto[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AllTags

          public static final Gen2xCrypto AllTags

    - #### OneTagsOnly

          public static final Gen2xCrypto OneTagsOnly

  - ### Method Detail

    - #### values

          public static Gen2xCrypto[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Gen2xCrypto c : Gen2xCrypto.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Gen2xCrypto valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<Gen2xCrypto>`
      Returns:
        The name of the enum

    - #### fromValue

          public static Gen2xCrypto fromValue(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static Gen2xCrypto valueOfName(String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.